/*
 *      Watchdog daemon
 *
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License
 *      as published by the Free Software Foundation; either version
 *      2 of the License, or (at your option) any later version.
 *
 *      Neither Matthias Cramer nor Dolphins Network Systems
 *      admit liability nor provide warranty for any of this software.
 *      This material is provided "AS-IS" and at no charge.
 *
 *      (c) Copyright 2000    Matthias Cramer <cramer@dolphins.ch>
 *
 *      Release 0.01.
 *
 */

#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>

int main(int argc, const char *argv[])
{
	unsigned char buf;
	pid_t	pid;
	int	fd;
	
	printf("Watchdog daemon 0.01 (c) 2000 by Matthias Cramer <cramer@dolphins.ch>\n");

	fd=open("/dev/watchdog",O_RDWR);
        if(fd==-1)
        {
                perror("watchdog");
                exit(1);
        }

	pid=fork();
	
	if (pid != 0) {
		printf("Forked, child pid is %d\n", pid);
		exit(0);
	}

        while(1)
        {
        	read(fd,&buf,1);
                write(fd,"\0",1);
                sleep(10);
        }
}
